Page MenuHomePhabricator

Add LUKS container GUI or CLI utility by default
Closed, ResolvedPublic

Description

Summary: zulcrypt is a GUI to make managing/creating LUKS containers easy. The version in Stretch has some problems that prevent it from working correctly. We can always add it later when these problems are fixed.

Testing thread: https://forums.whonix.org/t/zulucrypt-in-whonix-14/4876


Tomb is the pioneer of portable LUKS containers on Linux. See if they are a better experience when Buster rolls around.


Details

Impact
Low

Event Timeline

HulaHoop triaged this task as Low priority.Feb 28 2018, 3:45 PM
HulaHoop created this task.
HulaHoop edited projects, added Whonix 15; removed Whonix.Feb 28 2018, 4:32 PM

Test out the (LUKS wrapper) Tomb implementation in KDE Vault. Should be around by Buster.

https://www.omgubuntu.co.uk/2017/06/plasma-vault-create-encrypted-folder-linux

Moved to xfce so past comment is irrelevant. Will test Zulu after moving to Buster and add if it works.

Test the tomb LUKS container script as an alternative.

https://packages.debian.org/buster/tomb

The package is now part of Buster

HulaHoop renamed this task from Adding zulucrypt to Whonix to Add LUKS container GUI or CLI utility by default.Mar 22 2019, 11:40 PM
HulaHoop updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Apr 6 2019, 5:25 PM
Patrick added a project: Whonix 15.
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Apr 6 2019, 5:29 PM
HulaHoop added a comment.EditedApr 17 2019, 6:08 AM

zulucrypt works in Buster. Tomb does not.

https://forums.whonix.org/t/15-0-0-0-9-review/7162

Steps remaining:

  • Add zulucrypt to Whonix including its extensions?
  • Document zulucrypt best practices. Where do instructions go?

@Patrick please give your input on the above questions.

  • Add zulucrypt to Whonix including its extensions?

Yes. See original ticket about where to add.

  • Document zulucrypt best practices. Where do instructions go?

No idea. Please ask in https://forums.whonix.org/t/long-wiki-edits-thread mentioning this is non-qubes-whonix only.

HulaHoop added a comment.EditedApr 18 2019, 6:36 PM

I also added the cli version to the non-qubes-vm-enhancements-cli section. It is a dep of a gui install but not vice versa. Zulucrypt plugin package was added there too since enchancements-cli is a subset of enhancements-gui.

Patrick changed the task status from Open to testing-in-next-build-required.Jun 14 2019, 3:31 PM

Yes Zulucrypt included and functional on KVM 15. However fixes for both zulucrypt and tomb haven't made it into Buster from what I've tested. Zulucrypt has a tomb plugin to open Tomb files too.

HulaHoop closed this task as Resolved.Jul 22 2019, 3:04 AM